---
page-title: "Quick Start Adventure - Digital Reader - Daggerheart Nexus"
url: https://app.demiplane.com/nexus/daggerheart/sources/open-beta-adventure/the-sablewood-messengers#StandeePrintOuts
date: "2024-03-19 11:25:38"
---
## Narrative Overview

### **Act One:**  
The Merchant Cart

On their way to Hush, the PCs run across an overturned merchant cart blocking their path. A is feeding on the driver, who is dead.

### **Act Two:**  
Thicket Thieves

The PCs are ambushed by Thistlefolk who try to steal their carriage.

### **Act Three:**  
Seeking An Arcanist

When the PCs arrive in Hush safely, they must track down the Whitefire Arcanist in town by talking to the townspeople.

### **Act Four**:  
The Treehouse

Upon opening the crate, the package is revealed to be the keystone from the city gate’s main archway. King Emeris sent it to the Arcanist to repair the ward placed upon it that protects the city. The Arcanist asks for the PCs’ help holding off danger while she completes the ritual needed to repair it.

### **Act Five:**  
The Ward Renewal

The PCs take the stone to the ritual site and, while the Arcanist works her magic, fight off the magical creatures that begin to invade.

##### ABOUT THE THISTLEFOLK

The Thistlefolk take up residence in the place where nobody else dares—within the thickest, thorniest bramble of the Sablewood. Because the only Thistlefolk who emerge from the seclusion of their hidden villages are often thieves coming out to steal goods from unwitting travelers or sleeping merchants, they have received a reputation for being a syndicate of criminals. In actuality, most of the Thistlefolk are quite docile and vulnerable, choosing to live within the safety of the bramble for their own protection from the large predator species who stalk the woods looking for an easy meal.

## The Merchant Cart

ACT one

## The Beginning

Read the following aloud to your players:

*This evening, your party finally made it to the Sablewood, a sprawling forest of colossal trees some say are even older than the Forgotten Gods. It’s a place renowned for two things—its sunken pathways that provide the trade routes for many traveling merchants, and its unique hybrid animals. Even now, from within your carriage, you can hear strange sounds: the bird calls of the lark-moths, the croak of the lemur-toads, the scittering of a family of fox-bats in the underbrush. One of you is driving the carriage. Who is it?*

When a player volunteers their character as the carriage driver, you can ask them a question like:

*You’ve noticed something unique about the look of trees here in the Sablewood. What is it?*

Based on their answer, describe the trees they are passing by as having those features. This is utilizing one of the GM Principles in Daggerheart, “[Ask Questions and Incorporate the Answers](https://app.demiplane.com/nexus/daggerheart/sources/playtest/running-an-adventure#AskQuestionsandIncorporatetheAnswers).” Then, read the following aloud:

*As your steeds pull the carriage around a tight corner, one wheel coming off the ground for just a moment, you see an overturned merchant’s cart laying sideways in the path before you, blocking your way. A scattering of fruits and vegetables litter the trail. From around the side of the carriage steps a* *; a large creature with the body of a wolf, the face of an owl, and large wings adorning its back. It finishes chewing its meal, the hand of the dead* *, as it stares at you, curious, trying to judge whether you’re friend or foe. Then you see, following clumsily behind, two small pups watching their mother cautiously.*

*From within, the rest of you feel your carriage come to a stop. What would you like to do?*

Allow the PCs to roleplay for a little bit if they’d like. When somebody approaches the merchant cart, that will trigger the first .

## The First Action Roll
> [!Quote] Read the following aloud:
*The strix-wolf is wary of your movement. Let’s make our first roll to see how she reacts! This will be using your* *trait, so grab your* *Dice and roll them, then add your Presence. You can also spend a* *before the roll to add an* *, if it applies. Then tell me the total and which die rolled higher!*

### SUCCESS
**If they rolled a 10 or higher,** it is a success! Describe the calmly trying to keep her pups out of danger.

***If the roll was with Hope,*** tell the player to mark a .

***If the roll was with Fear,*** take a token for later. You also have the opportunity to make a GM move. This is your chance to introduce a consequence to the scene. It should not undermine the success, but rather forward the narrative in an exciting way. You might say:

*The mother hoot-howls, as if calling to another strix-wolf among the trees. You know you might not be alone for long.*

### FAILURE
**If they rolled a 9 or below,** it is a failure. Describe the strix-wolf snarling and snapping, angry that the PC is approaching.

***If the roll was with Hope,*** tell the player to mark a Hope. You still get to make a GM move, but because it’s with Hope, it shouldn’t be as bad as it could be. You might say:

***If the roll was with Fear,*** things go badly. Describe the strix-wolf snarling at the PC. Tell them to mark a .

*With one last snarl, she leans down to have her pups clamber onto her back before taking off into the air, landing on a nearby branch. She is watching your every move.*

### CRITICAL SUCCESS

If both dice roll the same number, it’s a critical success! Tell the PC to mark a Hope. They can also clear a Stress, if they have one. Then, describe the strix-wolf moving towards the PC, head down, tail wagging. It sniffs their hand and sits in front of them.

## Thicket Thieves
- ACT TWO // part one

## The Fallout
Let the events of the previous act play out, allowing the players to roleplay and take other actions. Use the scenarios below for guidance.

### SCENARIOS
**If they search the merchant cart,** you can talk about the cart being stripped of all valuables and showcase the dead driver with a mangled arm, picked over by the strix-wolf family for food. If the PCs inspect the body further, they might find that the driver had his neck slit.

**If they attack the strix-wolf,** have them make an attack roll against it at a difficulty of 10. On a success, they deal damage using their weapon. The pups will flee.

**If they fail any rolls to interact with the strix-wolf,** it will pull its pups onto its back and fly into a nearby tree, watching the adventurers from above.

**If they try to find signs of something strange,** they see the remnants of thorny bramble tangled around the wheel of the carriage and strewn across on the road.

**If they want to move the merchant cart out of the way, are taking steps to get their carriage moving again, or are trying to leave the trail,** move to The Ambush.

##### Strix-Wolf Mother
**Bite** - Melee - 1d6+3 (phy)
**Attack Modifier:** +1
**Difficulty:** 10
**Minor** 1 | **Major** 4 | **Severe** 8
**HP:** OOO
**Stress:** none

## The Ambush
When the moment feels right, or one of the above scenarios triggers it, ask a PC who seems like they are paying attention to their surroundings to make an Roll with a difficulty of 14.

**On a success**, they notice eyes watching them from the darkness beyond the trail. If it was with , the PC marks a . ***Use the “See Them Coming” prompts.***

**On a failure,** they are immediately ambushed. If it was with Fear, the PC marks a Stress. ***Use the “Ambushed!” prompts.***

### See Them Coming
> [!quote] Read the following aloud:
> *You hear the sounds of a branch snapping and turn to see four Thistlefolk sneaking through the underbrush, attempting to get the jump on your party. The overturned cart was a distraction, but their plan didn’t work. I’m taking out the action tracker, and we’re going to set up a map!*

### Ambushed!
> [!quote] Read the following aloud:
> *In a whirlwind of cracking branches and unsheathed blades, a group of four Thistlefolk jump out from the brush alongside the road. The overturned cart was an ambush! They stand before you, weapons drawn, blocking the road. I’m taking out the action tracker, and we’re going to set up a battle map! They’ll act first.*

#### SETTING UP THE BATTLE MAP
Set the action tracker somewhere within reach of all players and remind them that anytime they make an action roll, they must first add a token to the tracker. Then take the forest terrain you’ve cut out and ask for your players to help you spread it across the table to build a map. You may also encourage them to grab other items from around the room to add terrain to the map. Build out the playspace together.

Finally, place the overturned merchant’s cart on the table and ask the players to put their miniatures nearby, where they think they would be in the scene, along with their carriage. Then take the standees and the , and put them in close range of the PCs.

#### BEGINNING THE ENCOUNTER
Below, you’ll find the stat blocks for the Ambushers and Thief. You’ll use those stat blocks to run the remainder of this encounter. Remember to make the battle your own. Decide what the Thistlefolk look like in detail, describe the scene as if the players were watching a movie or reading a book, and if you’re comfortable with it, ask them to participate in building out the scene as well. That can be as easy as asking them to describe their attack or their evasion in detail, but you might also involve them further—ask them what unique clothing item the Ambushers are all wearing, or the interesting fighting style they seem to employ. You might also ask what level of violence the players are comfortable with. Are they looking to kill the enemies? Incapacitate them? Knock them out?

## Thicket Thieves
- ACT TWO // part two

## The First Encounter

### AMBUSHED!
If the players were ambushed, the Thistlefolk act first. We can see this reflected in their move, “Ambush.”

> [!quote] Read the following aloud:
> *Having the upper hand, the three Thistlefolk rush you! Because of their special move Ambush, they get to attack, even though there are no tokens on the action tracker yet. This only happens when they enter the scene, so it won’t be like this every time. But right now, they are slashing at you with daggers, protected by armor made of polished stones.*

Choose as many different PCs as you can and move the ambushers into melee with each of them. Then follow the attack guide below for each Ambusher.

### SEE THEM COMING

If the players spotted the Ambushers coming, they get to act first. Read the following aloud:

*You stand at the ready, having spotted the Thistlefolk before they could ambush you! You all get to act first, who wants to start us off?*

##### Thistlefolk Ambusher #1
**Dagger** - Melee - 2d8+1 (phy)
**Attack Modifier:** +1
**Difficulty:** 13
**Minor** 1 | **Major** 6 | **Severe** 10
**HP:** OOO
**Stress:** None
**Move**

**Ambush:** When the ambusher enters the scene without being spotted first, they may immediately move into melee with a target and make an attack against them. On a success, they strike with their dagger for 2d8+4 (phy) damage.

##### Thistlefolk Ambusher #2
**Dagger** - Melee - 2d8+1 (phy)
**Attack Modifier:** +1
**Difficulty:** 13
**Minor** 1 | **Major** 6 | **Severe** 10
**HP:** OOO
**Stress:** None
**Move**

**Ambush:** When the ambusher enters the scene without being spotted first, they may immediately move into melee with a target and make an attack against them. On a success, they strike with their dagger for 2d8+4 (phy) damage.

##### Thistlefolk Ambusher #3

**Dagger** - Melee - 2d8+1 (phy)
**Attack Modifier:** +1
**Difficulty:** 13
**Minor** 1 | **Major** 6 | **Severe** 10
**HP:** OOO
**Stress:** None
**Move**

**Ambush:** When the ambusher enters the scene without being spotted first, they may immediately move into melee with a target and make an attack against them. On a success, they strike with their dagger for 2d8+4 (phy) damage.

##### Thistlefolk Thief
**Serrated Blade** - Melee - 3d6 (phy)
**Attack Modifier:** +3
**Difficulty:** 14
**Minor** 1 | **Major** 10 | **Severe** 15
**HP:** OOO
**Stress:** None
**Move**
**Back Off:** Spend and make an against a target. On a success, the thief places their hand on the target’s chest and blasts them backwards, dealing 2d8 magic damage and pushing them into far range.

### THE THISTLEFOLK’S GOAL
***Use the Ambushers to keep the party’s attention while the thief attempts to steal their carriage.***

#### AMBUSHER ATTACK GUIDE
On a GM move, spend a token from the action tracker to make an attack against a PC. Roll a d20, add its attack modifier (+1) and compare it to the PC’s . If it hits, make a using 2d8+1. Ask them to compare the total to their damage thresholds and mark the appropriate hit points.

#### THIEF ATTACK GUIDE
On a GM move, spend an action token to move the thief and/or make an attack against a PC. Roll a d20, add its attack modifier (+3), and compare it to the PC’s Evasion. If it hits, make a damage roll using 3d6. Ask them to compare the total to their damage thresholds and mark the appropriate hit points.

If they’re using Back Off, on a success deal the damage and move the PC’s standee a direction of your choice in far range of where they previously were.

#### AMBUSHER/THIEF DEFENSE GUIDE
When an ambusher is hit with damage, compare the amount to their thresholds, then mark the appropriate hit points. When you mark their last hit point, they drop.

The encounter ends when all adversaries are defeated. Clean up the map, then encourage the PCs to describe a montage of the remaining travel time to Hush.

## Seeking An Arcanist
- ACT three

## Arrival in Hush

Read the following aloud:

*The path leads you further into the forest until you spot a large stone pillar, carved top to bottom in ancient dwarven symbols. This denotes one corner of the peaceful village of Hush. When you pass beyond the stone marker, you feel a small sensation like the pop of a bubble, then the sounds of friendly chatter become louder.*

*Though the trees of the Sablewood are unchanged here, there is a distinctive safe and comforting air. A few smiling faces turn to you as your carriage rolls in, waving or casting a warm greeting toward the party. There is lively music drifting your direction from the tavern at the center of town.*

*You know you need to find the Whitefire Arcanist to deliver the package from the King. What would you like to do?*

If the players would like to talk to an NPC, you can choose one of the options below.

##### Fidget - - (they/them)

A young child who will not stop wiggling—it’s clear how they earned their name. They are often busy scurrying up the trees in town, lighting the lanterns that hang from the branches. They know the fastest ways through the village. If the PCs approach, they are curious what life is like outside of Hush.

##### Lausa Stalwind - - (she/her)

An older woman with a thick beard carrying a barrel of ale. She is happy to stand and talk to the party (she will keep the barrel on her shoulder the entire time). If the PCs approach, she wants to know the name of every member of the party’s weapons and their forged dates.

##### Halython Fives - - (he/him)

A soft-spoken clank (a humanoid robot) of indeterminate age. He bears a number of small scratches across his metallic shoulder where an alert but friendly fox-bat rests. He is playing an unknown game that uses cards and acorns. If the PCs approach, he is curious about the Thistlefolk and asks if you encountered any on your way.

During their discussion, choose an additional NPC from the list above. The second will be a friend that has knowledge of where the Whitefire Arcanist lives. They last saw this person at the tavern and sends you in its direction.

For example, your PCs might meet Fidget in town. After some conversation and coaxing, Fidget points the party to the tavern to meet Lausa.

## The Clover Tavern

Read the following aloud:

*The Clover Tavern is a sight to behold, with six curving stories climbing the trunk of an ancient tree. This is the heart of the community, always crowded with music and good-natured conversation. Newcomers to the bar must take off their shoes and hang them over a line that stretches across the bar’s ground floor. Inevitably, by the time visitors leave, their shoes will be shined and filled with small trinkets. As you enter, what would you like to do?*

Let the players roleplay here for a bit, introduce them to a barkeep or a friendly local who asks them to hang their shoes on the line. Let them explore the different levels of the tavern, and if you feel comfortable, ask some of your players to participate in describing details about it.

*How does the second floor of this tavern look so wildly different than the first? What smell permeates the air throughout this place? What unique custom do the locals seem to participate in every time you walk in the room?*

##### THE FIRSTMOSS FESTIVAL - OPTIONAL

If they ask around, the PCs will find out the people of Hush are currently celebrating the Firstmoss Festival—the time when the new crops in the Sunless Farms have the first layer of moss growing upon them, meaning they’re beginning to ripen for the season. It’s a celebration of the arrival of spring, and of the abundance of fresh fruits and vegetables the town will soon have. There is a good-natured arm wrestling competition, a stone-painting class, and a small marketplace full of homemade trinkets.

When you’re ready, guide the players in finding an NPC who will help them. If they bypassed asking someone in town, just use one of the NPCs from the list here instead. After a few exchanges, you can have the NPC say something like:

*The Arcanist is quite busy, but if you’ve traveled so far, I’m sure she’ll be more than hospitable. We would be lost without her. She keeps this whole place under a powerful ward so that no dangers from the Sablewood can pass into town. You’ll find her house to the south, through the farmland. It’s hanging from one of the old Sablewood trees, you can’t miss it.*

When the PCs are ready, set them off towards the Arcanist.

## The Treehouse

ACT four

## The Whitefire Arcanist

Read the following aloud:

*Making your way past the homes of the village, then through the farmlands of Hush, you see a variety of crops that have begun to cultivate a thin layer of glowing blue moss over the top of their fruits and vegetables. They pulse softly like a heartbeat as you pass.*

*Among the thriving groves, you notice that the Sablewood trees in this area have hundreds of unique faces carved into all sides, the eyes peering in every direction.*

*One tree, taller than the rest, bears the Arcanist’s home, like an overripe fruit. It hangs from a braid of rope, as wide around as a giant’s forearm, tied to a massive branch and counterweighted by a cabin-sized bolder lying at the base of the tree. The stone is marked with a collection of symbols and the cabin windows flash with a soft, yellow-green light.*

*What would you all like to do?*

Give the players the option to roleplay and problem solve. Use the section below as guidance, or create your own.

-   **If they try to call to the Arcanist from below,** there is no response, but the light within still flickers.
-   **If they try to cut the counterweight rope,** it will immediately blast them backwards a few feet, dealing a point of .
-   **If they try to climb the tree,** its an Roll with a difficulty of 13. On a failure, a limb of the tree grabs them, gently sets them down on the forest floor, then resumes its original form.

**When they finally do something to successfully get the Arcanist’s attention,** use the following to describe her as she emerges from her cabin to greet them.

*A 7ft mix of humanoid and firefly, the Arcanist is a* *that moves in a combination of both very slow and suddenly jerky motions. Though her expressions are difficult to read, her emotions are very clear in her voice. She is old but spry, and eyes the group mischieviously.*

*“Are you the group Emeris sent from the capital? Oh my, you’re rather late aren’t you. Come in, come in.”*

*As the Arcanist lowers her home and invites you inside, you’ll notice the treehouse is surprisingly spacious. The main room is a crowd of potion bottles, spellbooks, runes, plants, and small creatures of all kinds. But, no one could classify this place as messy. It’s clear that if anyone moved a single item even an inch, the old faerie would notice.*

## The Package

Let the players roleplay with the Arcanist. Make her curious about their journey, the NPC who directed them towards her house, and how each of them have imagined they might die one day.

Once she’s had enough conversation, the Arcanist will ask about the package from King Emeris. In order to inspect it in safety, she will magically unfold her home as if it were a blossoming flower. She’ll hurry the players to get the crate inside before closing the cabin back up, now just a bit bigger. When she opens the delivery, read the below aloud:

*Inside King Emeris’ package lies a massive stone with a lion’s face carved into it. Marlowe, you recognize this as the keystone of the capital city gate’s main archway. The Arcanist nods sagely as soon as she sees it, saying: “Of course the King would keep this delivery secret. If anyone knew your city was no longer warded, you would be conquered before sunrise.” With this ominous warning, she starts to unfurl her treehouse yet again. “We must travel to the Open Vale to reinstate the ward. But such an effort of magic will attract dangerous creatures from the darkest reaches of the Sablewood. I’ll need your help.”*

If the players seem enthusiastic about helping, you should cut straight to the Open Vale, transitioning into Act Five. Otherwise, you can encourage the players to describe their time traveling with the eccentric Whitefire Arcanist.

## The Ward Renewal

ACT FIVE // PART one

## The Open Vale

Read the following aloud:

*On direction from the Arcanist, your carriage pulls into a mysterious clearing in the shape of a perfect circle, the only area of the Sablewood you’ve seen without trees to block out the sky. This is the Open Vale.*

Speak to the players as the Arcanist, describing the Open Vale as a place used for strong ritual magic. It’s where she first forged the ward pillars that reside on all four corners of Hush, keeping the village safe. She almost died in that ritual, but is reluctant to say more for fear of angering the Forgotten Gods. Engage the PCs in conversation, then when you’re ready, read the following:

*The Arcanist’s antennae perk up in a disconcerting way. “This is good. Stop, stop. Yes, here. Now come help me, I’m old.” This time, she unfolds the carriage as she did with her home and stands over the crate, humming. Her body starts to glow brighter, flickering in the night.*

*“I will need an hour of time to prepare. You all, enjoy the night air while you can. We’ll be busy very soon.”*

## A Short Rest

Tell the PCs that they will now take a short rest.

**During a short rest, a PC may choose up to two of the following options.** *They cannot do the same option twice.*

#### Tend to Wounds

Describe how you patch yourself up and clear 1d4 hit points. You may also tend to an ally instead.

#### Clear Stress

Describe how you blow off steam or pull yourself together, and clear 1d4 .

#### Repair Armor

Describe how you spend time quickly repairing your armor and clear 2 marked Armor Slots. You may also repair an ally’s armor instead.

#### Prepare

Describe how you prepare yourself for the path ahead and gain a .

While the PCs are resting, review the stat blocks for the adversaries located here, as well as [below](https://app.demiplane.com/nexus/daggerheart/sources/open-beta-adventure/the-sablewood-messengers#FORESTWRAITHBATTLEGUIDE). These will be used in the final battle.

##### Ancient Skeleton #1

**Rusted** **Sword** - Melee - 3d6+2 (phy)

**Attack Modifier:** +0

**Difficulty:** 12

**Minor** 1 | **Major** 8

**HP:** O O

**Stress:** None

**Move**

**Group Attack - Close 5**

Spend and activate every ancient skeleton within Close range of a target to move into Melee with them, dealing 5 damage each.

##### Ancient Skeleton #2

**Rusted** **Sword** - Melee - 3d6+2 (phy)

**Attack Modifier:** +0

**Difficulty:** 12

**Minor** 1 | **Major** 8

**HP:** O O

**Stress:** None

**Move**

**Group Attack - Close 5**

Spend and activate every ancient skeleton within Close range of a target to move into Melee with them, dealing 5 damage each.

##### Ancient Skeleton #3

**Rusted** **Sword** - Melee - 3d6+2 (phy)

**Attack Modifier:** +0

**Difficulty:** 12

**Minor** 1 | **Major** 8

**HP:** O O

**Stress:** None

**Move**

**Group Attack - Close 5**

Spend and activate every ancient skeleton within Close range of a target to move into Melee with them, dealing 5 damage each.

##### Ancient Skeleton #4

**Rusted** **Sword** - Melee - 3d6+2 (phy)

**Attack Modifier:** +0

**Difficulty:** 12

**Minor** 1 | **Major** 8

**HP:** O O

**Stress:** None

**Move**

**Group Attack - Close 5**

Spend and activate every ancient skeleton within Close range of a target to move into Melee with them, dealing 5 damage each.

### ANCIENT SKELETON BATTLE GUIDE

Because the skeletons have no attack modifier, roll a d20 and ask if it hits the target’s Evasion. On a success, deal 3d6+2 physical damage. If the ancient skeletons take 7 or less damage, they mark one hit point. Otherwise, they drop.

You can spend one action token to activate their group attack, moving all skeletons in close range of a target into melee and immediately dealing 5 damage each. This does not require an attack roll, but uses up all of their activations.

## The Ward Renewal

ACT FIVE // PART TWO

## The Ritual Begins

Read the following aloud:

*The Arcanist lets out a shrill cry, “The keystone has finally responded! Quickly, surround me, the ritual must begin or I’ll lose the pathway! Hurry!” Her body begins glowing brighter and brighter still as her eyes roll backwards into her head and the entire carriage lifts a foot off the ground. An unearthly cry echoes from the woods, alerted by the arcane energy.*

Then place the Whitefire Arcanist standee at the center of the table. Ask the players to also place their standees in the scene. Finally, place four within close range of the Arcanist and two within far range, then read the following aloud.

*You feel a rumble as four ancient skeletons emerge from the ground, rusted swords in hand, disturbed by the forces of magic being used by the Arcanist. In the distance, two Forest Wraiths float ominously towards you. I’m going to start a countdown die for the ritual, your goal is to hold off the enemies until her work is completed.*

Grab a d8 and set it to the 8 side. This is a die. It will tick down one number every time an adversary is taken down. It will tick up every time the Whitefire Arcanist is hit with an attack. When the countdown reaches 0, the ritual is complete and the fight will end.

### ENCOUNTER CUSTOMIZATION

Encounters can have their own Fear moves that let you spend Fear in a unique way. For this encounter, you have one called Vengeance of the Vale.

#### **Vengeance of the Vale (Encounter Move)**

**Spend a** to call forth two additional ancient skeletons from the ground within close range of the carriage. Add 2 tokens to the action tracker.

#### FOREST WRAITH BATTLE GUIDE

Forest Wraiths can attack from far range with a +3 attack modifier. On a success, they deal 1d10+4 magic damage. They have **resistance** to physical damage, meaning any incoming physical damage is cut in half (rounded up).

Their Memory Delve move makes the target Vulnerable, which means all rolls you make against them are at advantage (roll an additional d20 and take the highest result). This condition doesn’t stack, so it’s best to use this once per PC.

Pass-Through should be used sparingly to avoid incapacitating the whole party at once. Because this move knocks a PC out of their body and stops them from acting until an adversary is taken down, using the Vengeance of the Vale Encounter Move can be a useful way to generate new, easily defeatable adversaries to avoid this from happening.

##### Forest Wraith #1

**Lifedrain** - Far - 1d10+4 (mag)

**Attack Modifier:** +3

**Difficulty:** 13

**Minor** 1 | **Major** 10 | **Severe** 20

**HP:** O O O O O O

**Stress:** None

**Move**

**Spectral Body:** The Forest Wraith has resistance to physical damage

**Memory Delve:** Spend to make an against a close target. On a success, the Forest Wraith flies into melee and places their hand upon the target’s cheek. Ask the player to describe a terrifying moment from their character’s childhood. Then deal 1d20+2 magic damage and make them temporarily Vulnerable until their next rest.

**Pass-Through:** Spend 2 Fear and make an attack roll against a target in melee. On a success, the Forest Wraith passes through the target, pushing their soul from from their body momentarily. They cannot act again until the Ritual ticks down one value.

##### Forest Wraith #2

**Lifedrain** - Far - 1d10+4 (mag)

**Attack Modifier:** +3

**Difficulty:** 13

**Minor** 1 | **Major** 10 | **Severe** 20

**HP:** O O O O O O

**Stress:** None

**Move**

**Spectral Body:** The Forest Wraith has resistance to physical damage

**Memory Delve:** Spend to make an against a close target. On a success, the Forest Wraith flies into melee and places their hand upon the target’s cheek. Ask the player to describe a terrifying moment from their character’s childhood. Then deal 1d20+2 magic damage and make them temporarily Vulnerable until their next rest.

**Pass-Through:** Spend 2 Fear and make an attack roll against a target in melee. On a success, the Forest Wraith passes through the target, pushing their soul from from their body momentarily. They cannot act again until the Ritual ticks down one value.

### DEATH MOVE

If a PC ever marks their last hit point, they make a death move. For the purposes of the Quickstart Adventure, they simply fall unconscious until they are healed for any amount or the danger passes.

## The Ritual Ends

When the Ritual Die ticks down to 0, move to the Epilogue.

## Beyond The Vale

epilogue

## The Keystone Ward

Read the following aloud:

*As you deliver a powerful blow, the ritual ends! The carriage comes falling to the ground as the keystone vibrates with arcane energy. Then, all at once, a soundless explosion erupts from the Whitefire Arcanist, dissipating any last enemies who might remain. The clearing is quiet once again.*

*Back inside the treehouse, not but an hour later, the keystone sits suspended carefully above a rumbling fire in the hearth.*

*The Arcanist, who looks even older now than she did before, sits cross-legged in an over-stuffed chair. There is an exhaustion in her voice as she speaks.*

*“You fought hard. I’m not surprised, of course. The King keeps good company. I’m very glad you were there.”*

Give the PCs the chance to wrap up their story with the Arcanist. When conversation stalls or the PCs ask about the keystone, you might say something like:

*“The keystone will need a week, maybe more, to allow the magic to settle. I’ll need to watch it carefully to ensure nothing cracks or becomes sentient or anything of the like. You know how it is. And in the meantime, after you rest and gather yourselves, have a nice hot meal and warm bath, I have one more thing to ask of you.”*

*We pull out of the Arcanist’s home, out of the forest itself, to view the verdant expanse from above, and see twisting stone spires breaking through the treeline, each with a flame flickering within the tower like a beacon. She continues:*

*“There’s a Spire, just west of here, maybe a few hours walk. I felt it on the way to the ritual. Its power was... strange. The light felt weaker than it should be. I think something might be terribly wrong with the Spirekeeper, and I fear what will happen if its fire is extinguished altogether. When you’re ready, come back, and I’ll give you my map so you can make it there safely. It’s good to have heroes in the Sablewood again.”*

*And that’s where we’re going to end today’s session.*

## Beyond the Adventure

Congratulations, you’ve completed the Daggerheart Quickstart Adventure! The game is in Open Beta and the current draft of the [Core Rulebook](https://app.demiplane.com/nexus/daggerheart/sources/playtest/open-beta-playtest#DaggerheartOpenBetaPlaytest) is available to read in full on the Daggerheart website [www.daggerheart.com](https://www.daggerheart.com/).

Because the game is still in development, we’d love any feedback you have based on this session. Surveys for the game are available on the website. We hope you jump into a full campaign while the Open Beta is live!